import javabook.*;

public class PersonMain {

  static Person [] csc121; 
  public static void main(String [] args) {

	String name;
	int age = 0;

    csc121 = new Person[5];

	MainWindow mw = new MainWindow("Array Example");
	InputBox ib = new InputBox(mw);
	OutputBox ob = new OutputBox(mw);

    mw.show();
	ob.show();


    for(int i = 0; i < csc121.length; i++) {
	   name = ib.getString("Enter person "+i+" name:" );
	   age = ib.getInteger("Enter person "+i+" age:");
	   csc121[i] = new Person(name, age);
    }


    // Find age of a particular person
	name = ib.getString("Enter name of person to locate:");
    boolean found = false;

    // Now find that person in the array
    for(int i = 0; i < csc121.length; i++) {
	  String personName = csc121[i].getName();
	  if ( personName.equals(name)) {
	    found = true;
        age = csc121[i].getAge();
      }
    }

	if (found == true )
	  ob.printLine(name + " is " + age + " years old");
    else
	  ob.printLine(name + " not found");


	// Find oldest and youngest person in the array csc121
    Person oldest = findOldest();
	ob.printLine(oldest.getName() + " is oldest at " + oldest.getAge());

    Person youngest = findYoungest();
	ob.printLine(youngest.getName() + " is youngest at " + youngest.getAge());

  }

  private static Person findOldest() {
	Person oldest = csc121[0];
    int maxAge = oldest.getAge();
    
	for(int i = 1; i < csc121.length; i++)
	  if ( csc121[i].getAge() > maxAge )
	    oldest = csc121[i];

    return(oldest);
  }
  private static Person findYoungest() {
	Person youngest = csc121[0];
    int minAge = youngest.getAge();

	for(int i = 1; i < csc121.length; i++)
	  if ( csc121[i].getAge() < minAge )
	    youngest = csc121[i];

    return(youngest);
	}
}

